Bug 1377314 (CVE-2016-7413) - CVE-2016-7413 php: Use after free in wddx_deserialize
Summary: CVE-2016-7413 php: Use after free in wddx_deserialize
Status: CLOSED WONTFIX
Alias: CVE-2016-7413
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160816,repor...
Keywords: Security
Depends On: 1377366 1554899
Blocks: 1377365
TreeView+ depends on / blocked
 
Reported: 2016-09-19 12:30 UTC by Adam Mariš
Modified: 2019-06-08 21:27 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-12 09:11:42 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1296 None None None 2018-05-03 05:05 UTC

Description Adam Mariš 2016-09-19 12:30:33 UTC
It was discovered that when WDDX tries to deserialize "recordset" element, use after free happens if close tag for the field is not found. This happens only when field names are set.

Upstream bug:

https://bugs.php.net/bug.php?id=72860

Upstream patch:

https://github.com/php/php-src/commit/b88393f08a558eec14964a55d3c680fe67407712?w=1

CVE assignment:

http://seclists.org/oss-sec/2016/q3/518

Comment 1 Adam Mariš 2016-09-19 13:37:26 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1377366]

Comment 2 Huzaifa S. Sidhpurwala 2016-10-12 09:11:42 UTC
This issue happens when untrusted input is unserialized.  Doing so it documented as being unsafe:

  http://php.net/manual/en/function.unserialize.php

  Do not pass untrusted user input to unserialize(). Unserialization can
  result in code being loaded and executed due to object instantiation and
  autoloading, and a malicious user may be able to exploit this. Use a safe,
  standard data interchange format such as JSON (via json_decode() and
  json_encode()) if you need to pass serialized data to the user.

Comment 4 errata-xmlrpc 2018-05-03 05:04:50 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS

Via RHSA-2018:1296 https://access.redhat.com/errata/RHSA-2018:1296


Note You need to log in before you can comment on or make changes to this bug.